Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class TabStop

    java.lang.Object
      |
      +--javax.swing.text.TabStop

All Implemented Interfaces:
  Serializable

public class TabStop
extends Object
implements Serializable

This class encapsulates a single tab stop (basically as tab stops are thought of by RTF). A tab stop is at a specified distance from the left margin, aligns text in a specified way, and has a specified leader. TabStops are immutable, and usually contained in TabSets.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`static int` | `ALIGN_BAR`
`static int` | `ALIGN_CENTER` Characters following tab are positioned such that all following characters up to next tab/newline are centered around the tabs location.
`static int` | `ALIGN_DECIMAL` Characters following tab are aligned such that next decimal/tab/newline is at the tab location, very similiar to RIGHT_TAB, just includes decimal as additional character to look for.
`static int` | `ALIGN_LEFT` Character following tab is positioned at location.
`static int` | `ALIGN_RIGHT` Characters following tab are positioned such that all following characters up to next tab/newline end at location.
`static int` | `LEAD_DOTS`
`static int` | `LEAD_EQUALS`
`static int` | `LEAD_HYPHENS`
`static int` | `LEAD_NONE`
`static int` | `LEAD_THICKLINE`
`static int` | `LEAD_UNDERLINE`

Constructor Summary
`TabStop(float pos)` Creates a tab at position `pos` with a default alignment and default leader.
`TabStop(float pos, int align, int leader)` Creates a tab with the specified position `pos`, alignment `align` and leader `leader`.

Method Summary
`boolean` | `equals(Object other)` Returns true if other equals the receiver.
`int` | `getAlignment()`
`int` | `getLeader()`
`float` | `getPosition()`
`int` | `hashCode()` Returns the hashCode for the object.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ALIGN_LEFT

    public static final int ALIGN_LEFT

  Character following tab is positioned at location.

### ALIGN_RIGHT

    public static final int ALIGN_RIGHT

  Characters following tab are positioned such that all following characters up to next tab/newline end at location.

### ALIGN_CENTER

    public static final int ALIGN_CENTER

  Characters following tab are positioned such that all following characters up to next tab/newline are centered around the tabs location.

### ALIGN_DECIMAL

    public static final int ALIGN_DECIMAL

  Characters following tab are aligned such that next decimal/tab/newline is at the tab location, very similiar to RIGHT_TAB, just includes decimal as additional character to look for.

### ALIGN_BAR

    public static final int ALIGN_BAR

### LEAD_NONE

    public static final int LEAD_NONE

### LEAD_DOTS

    public static final int LEAD_DOTS

### LEAD_HYPHENS

    public static final int LEAD_HYPHENS

### LEAD_UNDERLINE

    public static final int LEAD_UNDERLINE

### LEAD_THICKLINE

    public static final int LEAD_THICKLINE

### LEAD_EQUALS

    public static final int LEAD_EQUALS

Constructor Detail

### TabStop

    public TabStop(float pos)

  Creates a tab at position `pos` with a default alignment and default leader.

### TabStop

    public TabStop(float pos,
                   int align,
                   int leader)

  Creates a tab with the specified position `pos`, alignment `align` and leader `leader`.

Method Detail

### getPosition

    public float getPosition()

  Returns:
    the postion of the tab.

### getAlignment

    public int getAlignment()

  Returns:
    the alignment of the tab.

### getLeader

    public int getLeader()

  Returns:
    the leader of the tab.

### equals

    public boolean equals(Object other)

  Returns true if other equals the receiver.
  Overrides:
    `equals` in class `Object`
  Following copied from class: `java.lang.Object`
  Parameters:
    `obj` - the reference object with which to compare.
  Returns:
    `true` if this object is the same as the obj argument; `false` otherwise.
  See Also:
    `Boolean.hashCode()`, `Hashtable`

### hashCode

    public int hashCode()

  Returns the hashCode for the object. This must be defined here to ensure 100% pure.
  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hashCode for the object

### toString

    public String toString()

  Description copied from class: `Object`
  Returns a string representation of the object. In general, the `toString` method returns a string that "textually represents" this object. The result should be a concise but informative representation that is easy for a person to read. It is recommended that all subclasses override this method.

  The `toString` method for class `Object` returns a string consisting of the name of the class of which the object is an instance, the at-sign character ``@`', and the unsigned hexadecimal representation of the hash code of the object. In other words, this method returns a string equal to the value of:

  >      getClass().getName() + '@' + Integer.toHexString(hashCode())

  Overrides:
    `toString` in class `Object`
  Following copied from class: `java.lang.Object`
  Returns:
    a string representation of the object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.